# -*- coding: utf-8 -*-
# pylint: disable=invalid-name,line-too-long,protected-access,too-many-locals
# pylint: disable=too-many-lines
"""
Primitive ``ctypes`` prototypes for the NAG Library `math` Chapter.
"""

# NAG Copyright 2017-2019.

from ..base import utils

pi = utils._EngineState._get_symbol('x01aaf')
pi.restype = utils._EngineFloat64ScalarType.c_type
pi.argtypes = (
    utils._BYREF_FLOAT64, # Input, x.
)

euler = utils._EngineState._get_symbol('x01abf')
euler.restype = utils._EngineFloat64ScalarType.c_type
euler.argtypes = (
    utils._BYREF_FLOAT64, # Input, x.
)
