# -*- coding: utf-8 -*-
u"""
Examples for the ``ode`` module.

``ode`` - Ordinary Differential Equations

This module is concerned with the numerical solution of ordinary
differential equations.
There are two main types of problem: those in which all boundary
conditions are specified at one point (initial value problems), and
those in which the boundary conditions are distributed between two or
more points (boundary value problems and eigenvalue problems). Functions
are available for initial value problems, two-point boundary value
problems and Sturm--Liouville eigenvalue problems.

For full information please refer to the NAG Library document

https://www.nag.com/numeric/nl/nagdoc_27/flhtml/d02/d02intro.html
"""

# NAG Copyright 2017-2019.

pass
