# -*- coding: utf-8 -*-
u"""
Examples for the ``anova`` module.

``anova`` - Analysis of Variance

This module is concerned with methods for analysing the results of
designed experiments.
The range of experiments covered include:

- single factor designs with equal sized blocks such as randomized
  complete block and balanced incomplete block designs,

- row and column designs such as Latin squares, and

- complete factorial designs.

Further designs may be analysed by combining the analyses provided by
multiple calls to functions or by using general linear model functions
provided in submodule ``correg``.

For full information please refer to the NAG Library document

https://www.nag.com/numeric/nl/nagdoc_27/flhtml/g04/g04intro.html
"""

# NAG Copyright 2017-2019.

pass
