"""
Deprecated wrappers for the NAG C Library (Mark 26.0) x01 Chapter.

x01 - Mathematical Constants.

https://www.nag.com/numeric/CL/nagdoc_cl26/html/X01/x01conts.html

NAG Copyright 2017.
"""

nag_pi = X01AAC = 3.14159265358979323846264338328
nag_euler_constant = X01ABC = 0.577215664901532860606512090082
__all__ = ['nag_euler_constant', 'nag_pi']
